%define upstream_name    LWP-UserAgent-Determined
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A virtual browser that retries errors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP)
BuildArch:  noarch

%{?perl_default_filter}

%description
This class works just like the LWP::UserAgent manpage (and is based on it,
by being a subclass of it), except that when you use it to get a web page
but run into a possibly-temporary error (like a DNS lookup timeout), it'll
wait a few seconds and retry a few times.

It also adds some methods for controlling exactly what errors are
considered retry-worthy and how many times to wait and for how many
seconds, but normally you needn't bother about these, as the default
settings are relatively sane.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-9.mga8
+ Revision: 1495491
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.70.0-8.mga7
+ Revision: 1269068
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-7.mga6
+ Revision: 1029493
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.70.0-6.mga6
+ Revision: 949486
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.70.0-5.mga5
+ Revision: 789811
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 750713
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.70.0-3.mga5
+ Revision: 733169
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-2.mga5
+ Revision: 685186
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 1.70.0-1.mga5
+ Revision: 640001
- update to 1.07

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 512513
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 368920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shlomif <shlomif> 1.60.0-1.mga3
+ Revision: 322608
- imported package perl-LWP-UserAgent-Determined


* Wed Nov 28 2012 cpan2dist 1.06-1mga
- initial mageia release, generated with cpan2dist
